summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryanpcmcquen@gmail.com>2014-10-18 05:09:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-18 05:09:45 +0700
commite26937ca5e5554f419f3e90907e3af22c4758beb (patch)
tree319f7e16403cfe5231f3dcbd484094cda4a5a265 /libraries
parentcdae4df22e376e6192fd2b579c16bc5374a0e6a9 (diff)
downloadslackbuilds-e26937ca5e5554f419f3e90907e3af22c4758beb.tar.gz
slackbuilds-e26937ca5e5554f419f3e90907e3af22c4758beb.tar.xz
libraries/ganv: Added (interactive Gtk widget library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/ganv/README3
-rw-r--r--libraries/ganv/ganv.SlackBuild92
-rw-r--r--libraries/ganv/ganv.info10
-rw-r--r--libraries/ganv/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/libraries/ganv/README b/libraries/ganv/README
new file mode 100644
index 0000000000..ed4e57e524
--- /dev/null
+++ b/libraries/ganv/README
@@ -0,0 +1,3 @@
+Ganv is an interactive Gtk widget for interactive
+“boxes and lines” or graph-like environments
+(e.g. modular synths or finite state machine diagrams).
diff --git a/libraries/ganv/ganv.SlackBuild b/libraries/ganv/ganv.SlackBuild
new file mode 100644
index 0000000000..f0171ce7af
--- /dev/null
+++ b/libraries/ganv/ganv.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+#
+# Slackware build script for ganv
+#
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=ganv
+VERSION=${VERSION:-1.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./waf configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+./waf
+./waf install --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ganv/ganv.info b/libraries/ganv/ganv.info
new file mode 100644
index 0000000000..be02985934
--- /dev/null
+++ b/libraries/ganv/ganv.info
@@ -0,0 +1,10 @@
+PRGNAM="ganv"
+VERSION="1.4.2"
+HOMEPAGE="http://drobilla.net/software/ganv/"
+DOWNLOAD="http://download.drobilla.net/ganv-1.4.2.tar.bz2"
+MD5SUM="30c2c36d0c64d0a3b73e0bc7c564861c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtkmm"
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/libraries/ganv/slack-desc b/libraries/ganv/slack-desc
new file mode 100644
index 0000000000..88a404d339
--- /dev/null
+++ b/libraries/ganv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ganv: ganv (interactive Gtk widget library)
+ganv:
+ganv: Ganv is an interactive Gtk widget for interactive “boxes and lines”
+ganv: or graph-like environments (e.g. modular synths or finite
+ganv: state machine diagrams).
+ganv:
+ganv:
+ganv:
+ganv: http://drobilla.net/software/ganv/
+ganv:
+ganv: